> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Settings (/api-reference/settings/get-settings)

Returns the account settings

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml get /api/{account}/settings
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/{account}/settings:
    parameters:
      - in: path
        name: account
        description: The Account ID
        example: acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
    get:
      summary: Get Settings
      operationId: getSettings
      description: Returns the account settings
      parameters: []
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    isDeleteInitiated: false
                    lastSubscriptionExpiredAt: null
                    streamingObsKey: abc123
                    streamingObsServer: rtmp://route0-dc2.onlyfans.com/live
                    streamingMuxKey: null
                    streamingMuxServer: rtmps://global-live.mux.com:443/app
                    streamingMuxKeyExpiredAt: null
                    activityHubAllowed: false
                    activityHubTokens: []
                    confirmEmailSentAt: 2025-01-01T00:00:00+00:00
                    hideAfterMassMessages: true
                    changelogUpdates: 3
                    showFullTextInEmailNotify: false
                    isPrivate: true
                    blockedCountries: []
                    blockedStates: []
                    blockedIps: []
                    showPostsTips: true
                    recommenderReward: null
                    showFriendsToSubscribers: true
                    showSubscribesOffers: true
                    disableSubscribesOffers: true
                    isEmailNotificationsEnabled: false
                    canAcceptMessageOnlyFromFriends: false
                    isAutoFollowBack: true
                    unfollowAutoFollowBack: false
                    changeEmailStep: null
                    newEmail: null
                    lifeTimeEmailCode: null
                    coStreamingRequestFrom: subscribers
                    hasPaidPosts: false
                    isCoStreamingAllowed: true
                    isMonthlyNewsletters: false
                    strongOtp: false
                    phoneOtp: false
                    appOtp: false
                    isOtpAppConnected: false
                    isOldLoginRedirect: true
                    faceOtp: false
                    canSocialsConnect: true
                    socialsConnects: []
                    importantSubscriptionNotifications: true
                    isOpenseaConnected: false
                    forceFaceOtp: false
                    hasPassword: true
                    canAddSubscriberByBundle:
                      discounts:
                        "0": 0% discount
                        "5": 5% discount
                        "10": 10% discount
                        "15": 15% discount
                        "20": 20% discount
                        "25": 25% discount
                        "30": 30% discount
                        "35": 35% discount
                        "40": 40% discount
                        "45": 45% discount
                        "50": 50% discount
                      durations:
                        "3": 3 months
                        "6": 6 months
                        "12": 12 months
                    bundleMaxPrice: 250
                    canMakeProfileLinks: true
                    isSuggestionsOptOut: false
                    isTelegramConnected: false
                    replyOnSubscribe: false
                    shouldReceiveLessNotifications: false
                    avatarHeaderConverterUpload: true
                    streamingRtmpKey: abc123
                    streamingRtmpServer: rtmp://cloudbeta.streaming.onlyfans.com/live
                    canAddPhone: true
                    phoneLast4: null
                    sendAwardsTop1: true
                    sendAwardsTop5: true
                    notifyOnAllMentions: false
                    commentsOnlyForPayers: false
                    isDrmEnabled: false
                    creatorsCommentsOnlyForFriends: false
                    muteTagsInChats: true
                    muteTagsInPosts: false
                    muteTagsInStories: true
                    muteTagsInStreams: false
                  _meta:
                    _credits:
                      used: 1
                      balance: 999999983
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 10000000
                      limit_day: 50000
                      remaining_minute: 9999999
                      remaining_day: 49986
                properties:
                  data:
                    type: object
                    properties:
                      isDeleteInitiated:
                        type: boolean
                        example: false
                      lastSubscriptionExpiredAt:
                        type: string
                        example: null
                        nullable: true
                      streamingObsKey:
                        type: string
                        example: abc123
                      streamingObsServer:
                        type: string
                        example: rtmp://route0-dc2.onlyfans.com/live
                      streamingMuxKey:
                        type: string
                        example: null
                        nullable: true
                      streamingMuxServer:
                        type: string
                        example: rtmps://global-live.mux.com:443/app
                      streamingMuxKeyExpiredAt:
                        type: string
                        example: null
                        nullable: true
                      activityHubAllowed:
                        type: boolean
                        example: false
                      activityHubTokens:
                        type: array
                        example: []
                      confirmEmailSentAt:
                        type: string
                        example: 2025-01-01T00:00:00+00:00
                      hideAfterMassMessages:
                        type: boolean
                        example: true
                      changelogUpdates:
                        type: integer
                        example: 3
                      showFullTextInEmailNotify:
                        type: boolean
                        example: false
                      isPrivate:
                        type: boolean
                        example: true
                      blockedCountries:
                        type: array
                        example: []
                      blockedStates:
                        type: array
                        example: []
                      blockedIps:
                        type: array
                        example: []
                      showPostsTips:
                        type: boolean
                        example: true
                      recommenderReward:
                        type: string
                        example: null
                        nullable: true
                      showFriendsToSubscribers:
                        type: boolean
                        example: true
                      showSubscribesOffers:
                        type: boolean
                        example: true
                      disableSubscribesOffers:
                        type: boolean
                        example: true
                      isEmailNotificationsEnabled:
                        type: boolean
                        example: false
                      canAcceptMessageOnlyFromFriends:
                        type: boolean
                        example: false
                      isAutoFollowBack:
                        type: boolean
                        example: true
                      unfollowAutoFollowBack:
                        type: boolean
                        example: false
                      changeEmailStep:
                        type: string
                        example: null
                        nullable: true
                      newEmail:
                        type: string
                        example: null
                        nullable: true
                      lifeTimeEmailCode:
                        type: string
                        example: null
                        nullable: true
                      coStreamingRequestFrom:
                        type: string
                        example: subscribers
                      hasPaidPosts:
                        type: boolean
                        example: false
                      isCoStreamingAllowed:
                        type: boolean
                        example: true
                      isMonthlyNewsletters:
                        type: boolean
                        example: false
                      strongOtp:
                        type: boolean
                        example: false
                      phoneOtp:
                        type: boolean
                        example: false
                      appOtp:
                        type: boolean
                        example: false
                      isOtpAppConnected:
                        type: boolean
                        example: false
                      isOldLoginRedirect:
                        type: boolean
                        example: true
                      faceOtp:
                        type: boolean
                        example: false
                      canSocialsConnect:
                        type: boolean
                        example: true
                      socialsConnects:
                        type: array
                        example: []
                      importantSubscriptionNotifications:
                        type: boolean
                        example: true
                      isOpenseaConnected:
                        type: boolean
                        example: false
                      forceFaceOtp:
                        type: boolean
                        example: false
                      hasPassword:
                        type: boolean
                        example: true
                      canAddSubscriberByBundle:
                        type: object
                        properties:
                          discounts:
                            type: object
                            properties:
                              "0":
                                type: string
                                example: 0% discount
                              "5":
                                type: string
                                example: 5% discount
                              "10":
                                type: string
                                example: 10% discount
                              "15":
                                type: string
                                example: 15% discount
                              "20":
                                type: string
                                example: 20% discount
                              "25":
                                type: string
                                example: 25% discount
                              "30":
                                type: string
                                example: 30% discount
                              "35":
                                type: string
                                example: 35% discount
                              "40":
                                type: string
                                example: 40% discount
                              "45":
                                type: string
                                example: 45% discount
                              "50":
                                type: string
                                example: 50% discount
                          durations:
                            type: object
                            properties:
                              "3":
                                type: string
                                example: 3 months
                              "6":
                                type: string
                                example: 6 months
                              "12":
                                type: string
                                example: 12 months
                      bundleMaxPrice:
                        type: integer
                        example: 250
                      canMakeProfileLinks:
                        type: boolean
                        example: true
                      isSuggestionsOptOut:
                        type: boolean
                        example: false
                      isTelegramConnected:
                        type: boolean
                        example: false
                      replyOnSubscribe:
                        type: boolean
                        example: false
                      shouldReceiveLessNotifications:
                        type: boolean
                        example: false
                      avatarHeaderConverterUpload:
                        type: boolean
                        example: true
                      streamingRtmpKey:
                        type: string
                        example: abc123
                      streamingRtmpServer:
                        type: string
                        example: rtmp://cloudbeta.streaming.onlyfans.com/live
                      canAddPhone:
                        type: boolean
                        example: true
                      phoneLast4:
                        type: string
                        example: null
                        nullable: true
                      sendAwardsTop1:
                        type: boolean
                        example: true
                      sendAwardsTop5:
                        type: boolean
                        example: true
                      notifyOnAllMentions:
                        type: boolean
                        example: false
                      commentsOnlyForPayers:
                        type: boolean
                        example: false
                      isDrmEnabled:
                        type: boolean
                        example: false
                      creatorsCommentsOnlyForFriends:
                        type: boolean
                        example: false
                      muteTagsInChats:
                        type: boolean
                        example: true
                      muteTagsInPosts:
                        type: boolean
                        example: false
                      muteTagsInStories:
                        type: boolean
                        example: true
                      muteTagsInStreams:
                        type: boolean
                        example: false
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 999999983
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 10000000
                          limit_day:
                            type: integer
                            example: 50000
                          remaining_minute:
                            type: integer
                            example: 9999999
                          remaining_day:
                            type: integer
                            example: 49986
      tags:
        - Settings
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````